summaryrefslogtreecommitdiff
path: root/scite/prep-for-updating.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scite/prep-for-updating.sh')
-rwxr-xr-xscite/prep-for-updating.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scite/prep-for-updating.sh b/scite/prep-for-updating.sh
new file mode 100755
index 0000000..27d29e2
--- /dev/null
+++ b/scite/prep-for-updating.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Startdate: 2022-12-08-5 09:19
+# Purpose: prepare
+# Dependencies:
+# rmadison, git, awk, wget, tar
+cd ~/dev/scite.salsa || { cd ~/dev ; git clone https://salsa.debian.org/debian/scite.git scite.salsa ; cd ~/dev/scite.salsa ; } ; git pull
+# get latest scite source version, without character period
+latest="$( rmadison --url debian --suite sid scite | awk -F'|' '{print $2}' | awk -F'-' '{print $1}' | xargs )"
+latest_no_period="$( echo "${latest}" | tr -d '.' )"
+cd ~/dev ; wget --continue "https://www.scintilla.org/scite${latest_no_period}.tgz" ; ln -s "scite${latest_no_period}.tgz" scite_"${latest}".orig.tar.gz
+mkdir -p scite.1 ; cd scite.1
+tar -zxf ~/dev/"scite${latest_no_period}.tgz" ; cp -pr ~/dev/stackrpms/scite/debian . ;
bgstack15